Package com.xebialabs.deployit.plugin.api.udm

## Enum Delegate.Use

- java.lang.Object
- - java.lang.Enum<Delegate.Use>
  - - com.xebialabs.deployit.plugin.api.udm.Delegate.Use

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Delegate.Use>`
  Enclosing class:
    Delegate

      public static enum Delegate.Use
      extends java.lang.Enum<Delegate.Use>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTROL_TASK` |
    `CREATOR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Delegate.Use` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Delegate.Use[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTROL_TASK

          public static final Delegate.Use CONTROL_TASK

    - #### CREATOR

          public static final Delegate.Use CREATOR

  - ### Method Detail

    - #### values

          public static Delegate.Use[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Delegate.Use c : Delegate.Use.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Delegate.Use valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null